<?php
session_start();
include_once('../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
}
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
$getinfo = mysqli_query($conn, "Select * From box_mocnap WHERE BoxID = '".$_POST['id']."'");
?>
<style>
.discount {
    position: absolute;
    margin-left: 30px;
    margin-top: -25px;
    border: 2px solid #f15a21;
    border-radius: 100px 0 0 100px;
    padding: 2px;
    width: 50px;
    height: 23.5px;
}
.discount p {
    background: #f15a21;
    border-radius: 100px 0 0 100px;
    text-align: center;
    line-height: 0!important;
    font-size: .9em!important;
    padding: 7px;
}
.discount span {
    color: #fff;
    font-size: 11px;
    text-align: center;
    display: inline-block;
    font-weight: 700;
}
</style>
<link href="css/mystyle.css" type="text/css" rel="stylesheet"/>
<script type="text/javascript" src="js/jquery.watermark.js"></script>
        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title">Chỉnh sữa vật phẩm Mốc Nạp Tháng.</h4>
          <button type="button" class="close" data-dismiss="modal">×</button>
        </div>
   
        <!-- Modal body -->
		<?php if(mysqli_num_rows($getinfo)) {?>
        <div class="modal-body">
		       <label>Tìm vật phẩm</label>			
            <div class="form-group pass_show"> 
                <input type="text" value=""  id="itemid_info" class="form-control" placeholder="ID vật phẩm hoặc tên vật phẩm" style="width:300px"> 
				<input type="text" value="1" id="count" class="form-control" placeholder="Số lượng" style="width:80px;margin-top:-37px;margin-left: 65%;"> 
				<input type="submit" class="btn btn-success btn-block" value="Thêm" onClick="addItemSo();" style="width:80px;float:right;margin-top:-37px"/>
            </div>
			<span id="searchresultdata"></span>
			<br />
			<label>Dách sách vật phẩm</label>
                    <table class="table table-bordered" style="width: 100%; margin-bottom: 4rem; background-color: transparent;">
                      <thead>
                        <tr>
                          <th>
                            #
                          </th>
                          <th>
                            Tên vật phẩm
                          </th>
                          <th>
                            Số lượng
                          </th>
                          <th>
                            Chức năng
                          </th>						  
                        </tr>
                      </thead>
                      <tbody id="listitemmonth">
<?php
$getinfo = mysqli_fetch_array($getinfo, MYSQLI_ASSOC);
$query="select ID from box_mocnap_item WHERE BoxID = '".$getinfo['BoxID']."' order by ID asc";	
$res    = mysqli_query($conn,$query);
$count  = mysqli_num_rows($res);
$page = 1;
$recordsPerPage = 10;
$start = ($page-1) * $recordsPerPage;
$adjacents = "2";
 
$prev = $page - 1;
$next = $page + 1;
$lastpage = ceil($count/$recordsPerPage);
$lpm1 = $lastpage - 1;   
$pagination = "";
if($lastpage > 1)
    {  
        $pagination .= "<div class='pagination' style='float:right'>";
        if ($page > 1)
            $pagination.= "<a href=\"#Page=".($prev)."\" onClick='PaginationItem(".($prev).");'>&laquo; Lui&nbsp;&nbsp;</a>";
        else
            $pagination.= "<span class='disabled'>&laquo; Lui&nbsp;&nbsp;</span>";   
        if ($lastpage < 7 + ($adjacents * 2))
        {   
            for ($counter = 1; $counter <= $lastpage; $counter++)
            {
                if ($counter == $page)
                    $pagination.= "<span class='current'>$counter</span>";
                else
                    $pagination.= "<a href=\"#Page=".($counter)."\" onClick='PaginationItem(".($counter).");'>$counter</a>";     
 
            }
        }   
 
        elseif($lastpage > 5 + ($adjacents * 2))
        {
            if($page < 1 + ($adjacents * 2))
            {
                for($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
                {
                    if($counter == $page)
                        $pagination.= "<span class='current'>$counter</span>";
                    else
                        $pagination.= "<a href=\"#Page=".($counter)."\" onClick='PaginationItem(".($counter).");'>$counter</a>";     
                }
                $pagination.= "...";
                $pagination.= "<a href=\"#Page=".($lpm1)."\" onClick='PaginationItem(".($lpm1).");'>$lpm1</a>";
                $pagination.= "<a href=\"#Page=".($lastpage)."\" onClick='PaginationItem(".($lastpage).");'>$lastpage</a>";   
 
           }
           elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
           {
               $pagination.= "<a href=\"#Page=\"1\"\" onClick='PaginationItem(1);'>1</a>";
               $pagination.= "<a href=\"#Page=\"2\"\" onClick='PaginationItem(2);'>2</a>";
               $pagination.= "...";
               for($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
               {
                   if($counter == $page)
                       $pagination.= "<span class='current'>$counter</span>";
                   else
                       $pagination.= "<a href=\"#Page=".($counter)."\" onClick='PaginationItem(".($counter).");'>$counter</a>";     
               }
               $pagination.= "..";
               $pagination.= "<a href=\"#Page=".($lpm1)."\" onClick='PaginationItem(".($lpm1).");'>$lpm1</a>";
               $pagination.= "<a href=\"#Page=".($lastpage)."\" onClick='PaginationItem(".($lastpage).");'>$lastpage</a>";   
           }
           else
           {
               $pagination.= "<a href=\"#Page=\"1\"\" onClick='PaginationItem(1);'>1</a>";
               $pagination.= "<a href=\"#Page=\"2\"\" onClick='PaginationItem(2);'>2</a>";
               $pagination.= "..";
               for($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
               {
                   if($counter == $page)
                        $pagination.= "<span class='current'>$counter</span>";
                   else
                        $pagination.= "<a href=\"#Page=".($counter)."\" onClick='PaginationItem(".($counter).");'>$counter</a>";     
               }
           }
        }
        if($page < $counter - 1)
            $pagination.= "<a href=\"#Page=".($next)."\" onClick='PaginationItem(".($next).");'>Tiếp &raquo;</a>";
        else
            $pagination.= "<span class='disabled'>Tiếp &raquo;</span>";
 
        $pagination.= "</div>";       
    }
 
$query="select * from box_mocnap_item WHERE BoxID = '".$getinfo['BoxID']."' order by ID asc
limit ".mysqli_real_escape_string($conn,$start).",$recordsPerPage";
$res    =   mysqli_query($conn,$query);
$i=0;
            if (mysqli_num_rows($res)) {
                // Hiển thị dữ liệu
                while ($row = mysqli_fetch_array($res, MYSQLI_ASSOC)) {
                    $i++;
					$name = getnameText($row['Item']);
					if(is_numeric($row['Item'])){
					$name = getnameItem($row['Item']);	
					}
 		$HTML .= '<tr>
                          <td class="font-weight-medium">
                           '.$i.'
                          </td>
                          <td>
                            '.mysubstr($name,10).' <img src="https://img.icons8.com/metro/1600/search.png" style="width:25px;height:25px" title="'.$name.'"/>
                          </td>
                          <td>
                            '.$row['Count'].'
                          </td>						 							  
                        <td>
                           <input type="submit" class="btn btn-success btn-block" value="Xóa" onclick="xoaitemNapThang(\''.$row['ID'].'\');" style="float:right;margin-top:-37px;margin-top: 2px;">
                          </td>						 							  
                        </tr>';
                }
            }
echo $HTML;
echo $pagination;
?>
                      </tbody>
                    </table>			
		<? } ?>	
        </div>
        
        <!-- Modal footer -->
<script type="text/javascript">
function loadlistitemmonth(){
	$.post('load_itemcardmonth.php', {id:'<?=$_POST['id']?>'}, function(data){
		$('#listitemmonth').html(data);
	});
}
function xoaitemNapThang(id){
$.post('del_itemboxnapthang.php', {id:id}, function(data){
		if(data == 0){
			loadlistitemmonth();							
                Lobibox.notify('success', {
                    size: 'mini',
                    msg: "Thành công"
                });		
		} else {
                Lobibox.notify('error', {
                    size: 'mini',
                    msg: data
                });				
		}	
},'json');
}
function addItemSo(){
$.post('add_item_cardmonth.php', {a:'<?=$_POST['id']?>',b:$('#list_itemseacher').val(),c:$('#count').val()}, function(data){
		if(data['type'] == 0){
			loadlistitemmonth();							
                Lobibox.notify('success', {
                    size: 'mini',
                    msg: data['text']
                });		
		} else {
                Lobibox.notify('error', {
                    size: 'mini',
                    msg: data['text']
                });				
		}	
},'json');
}
$(document).ready(function() {
$("#itemid_info").watermark("Nhập Thứ cần tìm");	// Watermart cho khung nhập
$("#itemid_info").keyup(function()
{
	var itemid_info = $(this).val();   		// Lấy giá trị search của người dùng
	var dataString = 'keyword='+ itemid_info;	// Lấy giá trị làm tham số đầu vào cho file ajax-search.php
	if(itemid_info.length>=2)					// Kiểm tra giá trị người nhập có > 3 ký tự hay ko
	{
		$.ajax({
			type: "GET",      						// Phương thức gọi là GET
			url: "ajax-search.php",  				// File xử lý
			data: dataString,						// Dữ liệu truyền vào
			beforeSend:  function() {				// add class "loading" cho khung nhập
				$('input#itemid_info').addClass('loading');
			},
			success: function(server_response)		// Khi xử lý thành công sẽ chạy hàm này
			{
				$('#searchresultdata').html(server_response).show();  	// Hiển thị dữ liệu vào thẻ div #searchresultdata
				
				if ($('input#itemid_info').hasClass("loading")) {		// Kiểm tra class "loading"
					$("input#itemid_info").removeClass("loading");		// Remove class "loading"
				} 
			}
		});
	}return false;		// Không chuyển trang
});
});
</script>